package de.ozgcloud.eingang.enterprise.entry;

import java.time.ZonedDateTime;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
class EntryResponse {

	private String transactionId;
	private ResponseVorgang vorgang;

	@Builder
	@Getter
	static class ResponseVorgang {
		private String vorgangId;
		private String vorgangNummer;
		private String status;
		private ZonedDateTime statusSince;
	}
}
