package de.ozgcloud.eingang.xdomea;

import java.util.List;

import de.ozgcloud.eingang.common.formdata.IncomingFileGroup;
import de.ozgcloud.eingang.common.formdata.IncomingFileTestFactory;

public class XdomeaMessageDataTestFactory {
	public static XdomeaMessageData create() {
		return createBuilder().build();
	}

	public static XdomeaMessageData.XdomeaMessageDataBuilder createBuilder() {
		return XdomeaMessageData.builder()
				.metadataFile(IncomingFileTestFactory.createBuilder().name("xdomea-primary-document.xml").build())
				.representations(List.of(IncomingFileTestFactory.create()))
				.attachment(IncomingFileGroup.builder().file(IncomingFileTestFactory.create()).build());
	}
}
